Bug 675710 - Regression: Devices wrongly probed as MTP device
Regression: Devices wrongly probed as MTP device
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-07 08:38 EST by Martin Kho
Modified: 2011-02-20 17:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-20 17:21:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kho 2011-02-07 08:38:20 EST
Description of problem:
My HP Laserjet is probed as a mtp-device, again. This was corrected in the previous version of libmtp, see bug [1] comment #2.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=671361

Version-Release number of selected component (if applicable):
libmtp-1.0.5-1.fc15.x86_64

How reproducible:
Every time libmtp probes devices

Steps to Reproduce:
1. just boot rawhide
2. run dmesg | grep mtp-probe
3.
  
Actual results:
Device 0 (VID=03f0 and PID=0217) is UNKNOWN.

Expected results:
Device 0 is not seen as a mtp device

Additional info:
It seems the patch in build [1] didn't make it in this version of libmtp.

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=215430
Comment 1 Linus Walleij 2011-02-12 03:35:47 EST
Yes sorry, too many bugs in our detection code. :-(

I believe it is fixed in the recently pushed 1.0.6-1 package, could you check?
Comment 2 Martin Kho 2011-02-15 07:06:01 EST
Hi Linus,

It took a little while for I could test version 1.0.6-1. But I can confirm that the regression is solved. Please close this report.

Thanks for the good work!

Martin Kho

Note You need to log in before you can comment on or make changes to this bug.